
Figure - Bug #118276
【IOVDEV-30606】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏设置-显示-屏保中的当前屏保
界面显示黑屏
2023-05-26 17:40 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0100.c103  中控：03.02.0082.C102

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230525  17点39分（ 第188次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.副屏点击设置-显示-屏保中的“当前的屏保”

【实际结果】

副屏的当前的屏保界面显示黑屏

【期望结果】

副屏设置中的屏保界面显示正常。

【备注】：

发生一次，约3分钟后恢复，恢复之后就没有复现。

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏视频地址：

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0082.C102

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-29 10:22 - CD APP-王营

- Status changed from New to ASSIGNED

【分析】

1、从录像状态看bug发生在16：50，但是描述和log是在17：39需要进一步核实发生问题的时间点，找到对应的log进行分析。

【下一步】
确认问题发生时间和对应的log

#2 - 2023-05-29 14:07 - CDTS_Test 吴诗雨

已同步

#3 - 2023-05-30 14:31 - CDTS_TEST 王成

- File 17点39分点击当前的屏保，显示黑屏界面.mp4 added

- File 1685428226356.zip added

#4 - 2023-05-30 17:34 - CD APP-王营

【分析】

根据时间点分析 05-25 17：39

系统先发生了anr，具体log信息如下

05-25 17:40:00.430  9844   815 I ActivityManager: Done dumping

05-25 17:40:00.432  9844   815 E ActivityManager: ANR in com.tencent.mm:push

05-25 17:40:00.432  9844   815 E ActivityManager: PID: 12445

05-25 17:40:00.432  9844   815 E ActivityManager: Reason: Broadcast of Intent { flg=0x14 cmp=com.tencent.mm/.booter.MMReceivers$AlarmReceiver (has extras) }

05-25 17:40:00.432  9844   815 E ActivityManager: Frozen: false

05-25 17:40:00.432  9844   815 E ActivityManager: Load: 0.0 / 0.0 / 0.0

05-25 17:40:00.432  9844   815 E ActivityManager: ----- Output from /proc/pressure/memory -----

05-25 17:40:00.432  9844   815 E ActivityManager: some avg10=0.54 avg60=0.09 avg300=0.02 total=2753868

05-25 17:40:00.432  9844   815 E ActivityManager: full avg10=0.00 avg60=0.00 avg300=0.00 total=1805262

05-25 17:40:00.432  9844   815 E ActivityManager: ----- End output from /proc/pressure/memory -----

05-25 17:40:00.432  9844   815 E ActivityManager: 

05-25 17:40:00.432  9844   815 E ActivityManager: CPU usage from 91915ms to 0ms ago (2023-05-25 17:38:27.763 to 2023-05-25 17:39:59.677):

05-25 17:40:00.432  9844   815 E ActivityManager:   99% 2629/hht_ota_mgr: 40% user + 59% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   3.7% 1183/cnss_diag: 3.1% user + 0.5% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   2.9% 849/vendor.qti.hardware.display.composer-service: 1.8% user + 1% kernel / faults: 64 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   2.6% 9844/system_server: 1.5% user + 1% kernel / faults: 40848 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   2% 973/surfaceflinger: 1.4% user + 0.5% kernel / faults: 111 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   1.6% 10935/com.hht.lebocast: 0.9% user + 0.6% kernel / faults: 1073 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   1.1% 32093/com.android.settings: 0.9% user + 0.2% kernel / faults: 2004 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   1% 9181/kworker/u16:22-devfreq_wq: 0% user + 1% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.9% 10054/com.android.systemui: 0.7% user + 0.2% kernel / faults: 14983 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.9% 11238/com.tencent.android.qqdownloader:daemon: 0.4% user + 0.4% kernel / faults: 1070 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.9% 32161/kworker/u16:11-memlat_wq: 0% user + 0.9% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.8% 29924/kworker/u16:0-memlat_wq: 0% user + 0.8% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.6% 516/logd: 0.1% user + 0.5% kernel / faults: 66 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.6% 837/android.hardware.wifi@1.0-service: 0.4% user + 0.2% kernel / faults: 1221 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.6% 10652/com.android.launcher3: 0.5% user + 0% kernel / faults: 9633 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.6% 11421/com.tencent.android.qqdownloader: 0.4% user + 0.1% kernel / faults: 664 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.6% 18103/kworker/u16:13-devfreq_wq: 0% user + 0.6% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.4% 10132/com.android.networkstack.process: 0.3% user + 0% kernel / faults: 1371 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.4% 11080/com.android.providers.media.module: 0.1% user + 0.2% kernel / faults: 1548 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.3% 11169/com.tencent.android.qqdownloader:live: 0.2% user + 0.1% kernel / faults: 893 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.3% 10272/com.thundercomm.microservice: 0.1% user + 0.1% kernel / faults: 2281 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.3% 10802/adbd: 0% user + 0.2% kernel / faults: 468 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.3% 31822/kworker/u16:5-kverityd: 0% user + 0.3% kernel
05-25 17:40:00.432  9844   815 E ActivityManager:   0.2% 1173/tlog: 0.1% user + 0.1% kernel / faults: 4 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.2% 13973/com.tencent.android.qqdownloader:wxa_container0: 0.2% user + 0% kernel / faults: 490 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.2% 32160/kworker/u16:7-kverityd: 0% user + 0.2% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.2% 391/crtc_commit:125: 0% user + 0.2% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.2% 96/kswapd-1:0: 0% user + 0.2% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.2% 2683/mdnsd: 0% user + 0.1% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.2% 1/init: 0% user + 0.1% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.2% 11490/com.tencent.android.qqdownloader:cloud: 0.1% user + 0% kernel / faults: 289 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.2% 12633/com.tencent.qqmusicpad:wns: 0% user + 0.1% kernel / faults: 27 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 12361/logcat: 0% user + 0.1% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 13853/com.tencent.ilink.ServiceProcess: 0.1% user + 0% kernel / faults: 329 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 10279/com.thundercomm.microsettings: 0.1% user + 0% kernel / faults: 484 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 659/vendor.ts.uart@1.0-service: 0% user + 0.1% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 13043/com.tencent.mm: 0.1% user + 0% kernel / faults: 110 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 25083/kworker/u17:7-hal_register_write_wq: 0% user + 0.1% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 287/kgsl_worker_thr: 0% user + 0.1% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 29242/kworker/u17:0-hal_register_write_wq: 0% user + 0.1% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 1403/msm_irqbalance: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 3283/dp_rx_thread_0: 0% user + 0.1% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 855/vendor.qti.hardware.perf@2.2-service: 0% user + 0% kernel / faults: 84 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0.1% 11255/com.tencent.mobileqq:MSF: 0% user + 0% kernel / faults: 116 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 3279/scheduler_threa: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 12558/com.tencent.qqmusicpad: 0% user + 0% kernel / faults: 25 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 23698/com.tencent.wework: 0% user + 0% kernel / faults: 14 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 10/rcu_preempt: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 9787/netd: 0% user + 0% kernel / faults: 38 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 9/ksoftirqd/0: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 347/irq/350-atmel_m: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 21854/kworker/0:2-sock_diag_events: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 110/ion-pool-cached: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 678/statsd: 0% user + 0% kernel / faults: 13 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 10844/irq/16-90b6400.: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 21282/com.tencent.qqmusicpad:QQPlayerService: 0% user + 0% kernel / faults: 25 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 109/ion-pool-uncach: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 111/system: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 893/qrtr-ns: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 11282/com.baidu.input: 0% user + 0% kernel / faults: 71 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 11853/com.android.providers.calendar: 0% user + 0% kernel / faults: 329 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 12445/com.tencent.mm:push: 0% user + 0% kernel / faults: 61 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 24302/kworker/u16:14-memlat_wq: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 392/crtc_event:125: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 518/servicemanager: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 1196/selfinstaller: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 28278/kworker/3:1-mm_percpu_wq: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 31637/kworker/u17:1-kgsl-events: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 32111/com.thundercomm.gamemode.provider: 0% user + 0% kernel / faults: 295 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 11/rcu_sched: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 14/rcuos/0: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 517/lmkd: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 914/pd-mapper: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 1237/wlan_logging_th: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 1252/cnss-daemon: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 1332/slim_daemon: 0% user + 0% kernel
05-25 17:40:00.432  9844   815 E ActivityManager:   0% 8497/kworker/1:2-rcu_gp: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 9818/wificond: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 10846/irq/17-9091000.: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 13630/com.android.webview:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0: 0%

user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 25/rcuos/1: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 33/rcuos/2: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 77/kauditd: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 88/qmp_aop: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 519/hwservicemanager: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 658/ipacm: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 803/ssgtzd: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 846/vendor.qti.hardware.display.allocator-service: 0% user + 0% kernel / faults: 160 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 947/pm-service: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 975/tftp_server: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 1168/iorapd: 0% user + 0% kernel / faults: 34 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 9814/zygote64: 0% user + 0% kernel / faults: 84 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 10191/com.thundercomm.gamemode: 0% user + 0% kernel / faults: 21 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 23936/com.tencent.wework:wxa_container0: 0% user + 0% kernel / faults: 1 minor

05-25 17:40:00.432  9844   815 E ActivityManager:   0% 31568/kworker/2:1-pm: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:  +0% 502/zygote64: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:  +0% 797/zygote64: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager:  +0% 32635/kworker/0:1-sock_diag_events: 0% user + 0% kernel

05-25 17:40:00.432  9844   815 E ActivityManager: 16% TOTAL: 6.9% user + 8.7% kernel + 0% iowait + 0.3% irq + 0.2% softirq

05-25 17:40:00.432  9844   815 E ActivityManager: CPU usage from 6703269ms to 6703269ms ago (1970-01-01 08:00:00.000 to 1970-01-01 08:00:00.000) with 0% awake:

05-25 17:40:00.432  9844   815 E ActivityManager: 0% TOTAL: 0% user + 0% kernel

05-25 17:40:00.434  9844   815 I ActivityManager: Killing 12445:com.tencent.mm:push/u0a102 (adj 0): bg anr

05-25 17:40:00.434  9844   815 I am_kill : [0,12445,com.tencent.mm:push,0,bg anr]

05-25 17:40:00.435  9844   815 D ActivityManager: Completed ANR of com.tencent.mm:push in 758ms, latency 1ms

结合视频操作进入Settings的时间点如下：

05-25 17:40:00.580  9844 26320 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.android.settings/.Settings bnds=[2306,740][2508,940]} from uid 10078

05-25 17:40:00.593  9844 28283 I ActivityTaskManager: FOREGROUND_APPLICATION_CHANGED to com.android.settings.homepage.SettingsHomepageActivity

启动屏保应用的时间点如下：

05-25 17:40:02.103  9844 10382 I ActivityTaskManager: START u0 {cmp=com.thundercomm.screensaver/.ui.page.MainActivity} from uid 1000

05-25 17:40:02.107  9844 10382 I wm_create_activity: [0,154066054,17679,com.thundercomm.screensaver/.ui.page.MainActivity,NULL,NULL,NULL,0]

05-25 17:40:02.111  9844 28283 I ActivityTaskManager: FOREGROUND_APPLICATION_CHANGED to com.thundercomm.screensaver.ui.page.MainActivity

屏保启动后被kill，启动超时

05-25 17:40:08.836  9844  9870 W ActivityManager: Process ProcessRecord{5c81da8 797:com.thundercomm.screensaver/u0a48} failed to attach

05-25 17:40:08.836  9844  9870 I am_process_start_timeout: [0,797,10048,com.thundercomm.screensaver]

05-25 17:40:08.836  9844  9870 I am_uid_stopped: 10048

05-25 17:40:08.837  9844  9870 I ActivityManager: Killing 797:com.thundercomm.screensaver/u0a48 (adj -10000): start timeout

05-25 17:40:08.837  9844  9870 I am_kill : [0,797,com.thundercomm.screensaver,-10000,start timeout]

【下一步】

1、问题发生在com.tencent.mm微信anr之后，怀疑此anr block了屏保应用的启动。

2、继续分析log，尝试复现此问题，云端获取的log没有trace文件。
#5 - 2023-05-31 18:08 - CD APP-王营

【分析】

屏保应用存在启动超时的情况，进一步分析跑屏保应用的启动代码，优化启动流程

【下一步】

继续分析log和项目代码

#6 - 2023-05-31 20:15 - CD APP-王营

【分析】

存在内存过低的情况

05-25 17:38:27.954 11255 12013 D MemoryCeilingMonitor: [handleMemoryCalculate]

05-25 17:38:27.955 11255 12013 D MemoryCeilingMonitor: [calculate] tot: 6826463, max: 536870912, free: 1039631, heap: 5786832, per: 0.010778814554214478

【下一步】

性能问题需要考虑

#7 - 2023-06-07 09:56 - CD APP-王营

【状态】

分析中

【分析】

1、继续分析内存方向的影响，目前没有找到直接因为内存导致启动超时。

2、备用方案将屏保应用启动作为一个独立的task启动，当前是在settings应用的task中。

3、尝试手动模拟timeout的场景，看是否能复现此问题。

【下一步】

根据以上三个方向继续调查

#8 - 2023-06-07 20:04 - CDTS_Test 吴诗雨

已同步

#9 - 2023-06-14 13:41 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- Resolution changed from -- to DUPLICATE

此问题已经在Jira上进行跟踪，内部关闭此票

#10 - 2023-07-10 17:20 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#11 - 2023-07-10 17:20 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
Files

17点39分当前的屏保界面黑屏.mp4 2.63 MB 2023-05-26 CDTS_Test 吴诗雨

17点39分进入设置-显示-屏保，点击当前的屏保，显示黑屏界面.7z 131 KB 2023-05-26 CDTS_Test 吴诗雨

17点39分点击当前的屏保，显示黑屏界面.mp4 5.24 MB 2023-05-30 CDTS_TEST 王成

1685428226356.zip 10.9 MB 2023-05-30 CDTS_TEST 王成
